Skip to content

List API keys

GET
/api-keys
curl --request GET \
--url https://api.ethos.network/api/v2/api-keys \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>'

Returns all API keys for the authenticated profile.

Successful response

Media typeapplication/json
Array<object>
object
address
required
string
createdAt
required
string
expiresAt
required
string
id
required
string
lastUsedAt
required
string | null
name
required
string
profileId
required
number

Example generated

[
{
"address": "example",
"createdAt": "example",
"expiresAt": "example",
"id": "example",
"lastUsedAt": "example",
"name": "example",
"profileId": 1
}
]

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}